version: "3.8"

networks:
  loki:

services:
  loki:
    image: grafana/loki:2.0.0
    ports:
      - "3100:3100"
    command: -config.file=/etc/loki/local-config.yaml
    networks:
      - loki

  promtail:
    image: grafana/promtail:2.0.0
    volumes:
      - /var/log:/var/log
      - /tmp/log:/tmp/log
    configs:
      - source: promtailconfig
        target: /etc/promtail/config.yml
    command: -config.file=/etc/promtail/config.yml
    networks:
      - loki

  grafana:
    image: grafana/grafana:8.1.1
    ports:
      - "3000:3000"
    networks:
      - loki

configs:
  promtailconfig:
    file: ./promtail_config.yml

